be.fgov.ehealth.rn.baselegaldata.v1

## Class MinimalBirthInfoType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.MinimalBirthInfoType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:49:12+01:00",
                 comments="JAXB RI v2.3.7")
      public class MinimalBirthInfoType
      extends Object
      implements Serializable

  Java class for MinimalBirthInfoType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="MinimalBirthInfoType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="BirthDate" type="{urn:be:fgov:ehealth:rn:commons:business:v1}IncompleteDateType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinimalBirthInfoType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBirthDate()` Gets the value of the birthDate property.
    `void` | `setBirthDate(String value)` Sets the value of the birthDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MinimalBirthInfoType

          public MinimalBirthInfoType()

  - ### Method Detail

    - #### getBirthDate

          public String getBirthDate()

      Gets the value of the birthDate property.
      Returns:
        possible object is `String`

    - #### setBirthDate

          public void setBirthDate(String value)

      Sets the value of the birthDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.